## lua-mode 20110121

=== Makefile ===
# Makefile for lua-mode

VERSION=$(shell grep "^;; Version:" lua-mode.el | cut -f 2)
DISTFILE = lua-mode-$(VERSION).zip

dist:
	rm -f $(DISTFILE) && \
	zip $(DISTFILE) -r . -x ".git/*" "*.gitignore" "*.zip"

release:
	git diff --exit-code && \
	git tag -a -m "Release tag" rel-$(VERSION) && \
	git push origin master && git pull origin master && \
	woger lua-l lua-mode lua-mode "release $(VERSION)" "Emacs major mode for editing Lua files" release-notes-$(VERSION) http://github.com/rrthomas/lua-mode/
	@echo 'Send update to ELPA!'

=== debian/changelog ===
lua-mode (20110121-1) unstable; urgency=low

  * New upstream version, which includes patch multiline-strings.diff.
  * Upstream has apparently moved to github.

 -- Jens Peter Secher <jps@debian.org>  Tue, 22 Mar 2011 07:06:01 +0100

lua-mode (20100617-1) experimental; urgency=low

  * New upstream version.
    (Closes: #601678)
  * Removed a keybinding patch and some open bugs because they seem to be
    obsoleted by the new uptream version, but it is somewhat hard to tell
    in the absence of changelogs and release notes, but here we go:
    (Closes: #546465,#546463)
  * Added Lua 5.1 to the enhancement list.
    (Closes: #574519)

 -- Jens Peter Secher <jps@debian.org>  Sat, 30 Oct 2010 10:30:35 +0200

lua-mode (20071122-4) unstable; urgency=low

  * Converted to dpkg-source format 3.0 (quilt).
  * Use mercurial-buildpackage for repository maintenance, so old
    repository does not exist any more.
  * Include ${misc:Depends} so that debhelper can inject items into the
    dependency list.
  * Bumped Standards-Version to 3.9.1, no change.

 -- Jens Peter Secher <jps@debian.org>  Sat, 30 Oct 2010 09:49:01 +0200

lua-mode (20071122-3) unstable; urgency=low
  
  * Leave elisp source file links next to byte-compiled files so that info
    system can locate the source code.
    (Closes: #543492)
  * Fontify multiline strings.
    (Closes: #466130)  
  * Use quilt instead of dpatch for patches.
  * Use debhelper 7.
  * Upgraded to Standards-Version 3.8.3.
    + Added a Homepage control field.
    + Added a Vcs-Hg control filed to indicate the location of the public
      repository.
    + Describe how to use quilt in Debian.source (thanks to Russ Allbery).
  * Do not load site/init files during byte compilation.

 -- Jens Peter Secher <jps@debian.org>  Sun, 30 Aug 2009 17:20:20 +0200

lua-mode (20071122-2) unstable; urgency=low

  * Changed unusual keyboard binding to standard ones, thanks to Trent
    W. Buck.
    (Closes: bug#468298)
  * Bumped Standards-Version to 3.7.3.

 -- Jens Peter Secher <jps@debian.org>  Sun, 02 Mar 2008 10:32:36 +0100

lua-mode (20071122-1) unstable; urgency=low

  * New upstream release.
  * Bumped debhelper compatibility version to 5.

 -- Jens Peter Secher <jps@debian.org>  Sun, 02 Dec 2007 13:24:50 +0100

lua-mode (20070703-2) unstable; urgency=low

  * Use autoload instead of load, thanks to Trent W. Buck.
    (Closes: bug#446234)

 -- Jens Peter Secher <jps@debian.org>  Mon, 15 Oct 2007 22:05:28 +0200

lua-mode (20070703-1) unstable; urgency=low

  * New upstream release.
  * Simplify install, removal, and load-path by using symlinks instead of
    copying source files.

 -- Jens Peter Secher <jps@debian.org>  Sun, 22 Jul 2007 23:17:59 +0200

lua-mode (20061208-1) unstable; urgency=low

  * New upstream release. 
    (Closes: bug#402133)
    - which fixes typo in docstring.
    (Closes: bug#394206) 
    - which obsoletes my patch for multiline comments, so dpatch is no
      longer needed.
  * Include a watch file.

 -- Jens Peter Secher <jps@debian.org>  Sun, 10 Dec 2006 13:30:39 +0100

lua-mode (20060625-1) unstable; urgency=low

  * New upstream release.
    (Closes: bug#390588)
  * Bumped Standards-Version to 3.7.2.

 -- Jens Peter Secher <jps@debian.org>  Wed,  4 Oct 2006 22:56:21 +0200

lua-mode (1.74-2) unstable; urgency=low

  * Show commented out multiline comments as non-comments... 'mkay!
    (Closes: bug#350277)

 -- Jens Peter Secher <jps@debian.org>  Thu,  9 Feb 2006 21:55:57 +0100

lua-mode (1.74-1) unstable; urgency=low

  * New upstream version.
    + Fixes broken indentation.
    (Closes: bug#345316)
  * Use the right path to the lua executable.
  * Automatically turn on lua-mode for lua files.
  * Make sure that Emacs Help can find the source code by including the
    location in load-path.

 -- Jens Peter Secher <jps@debian.org>  Mon,  2 Jan 2006 22:25:57 +0100

lua-mode (1.26-1) unstable; urgency=low

  * Initial release.
    (Closes: bug#266160)

 -- Jens Peter Secher <jps@debian.org>  Tue,  2 Nov 2004 21:26:59 +0100

=== debian/control ===
Source: lua-mode
Section: editors
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Build-Depends: debhelper (>= 7), emacs23 | emacsen
Standards-Version: 3.9.1
Vcs-Hg: http://hg.debian.org/hg/collab-maint/lua-mode
Homepage: https://github.com/rrthomas/lua-mode

Package: lua-mode
Architecture: all
Depends: emacs23 | emacsen, ${misc:Depends}
Enhances: lua50, lua5.1
Description: Emacs mode for editing Lua programs
 This emacs mode provides syntax highlighting and automatic
 indentation for Lua, as well as sending lines/regions/files to a lua
 interpreter.  You will need this if you write Lua programs using
 Emacs.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=lua-mode

get-orig-source:
	wget http://luaforge.net/frs/download.php/4628/lua-mode.el
clean:
	dh_testdir
	dh_testroot
	dh_clean

build:

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install lua-mode.el usr/share/emacs/site-lisp/$(PACKAGE)

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installemacsen
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: get-orig-source build clean install binary-indep binary-arch binary

=== debian/watch ===
version=3
http://luaforge.net/frs/?group_id=185&release_id=622 /frs/download.php/.*/lua-mode-(.*).tar.gz

## lua-mode 20130419

=== Makefile ===
# Makefile for lua-mode

VERSION="$(shell sed -nre '/^;; Version:/ { s/^;; Version:[ \t]+//; p }' lua-mode.el)"
DISTFILE = lua-mode-$(VERSION).zip

# EMACS value may be overridden
EMACS?=emacs

default:
	@echo version is $(VERSION)

compile:
	$(EMACS) --batch --no-site-file -f batch-byte-compile lua-mode.el

dist:
	rm -f $(DISTFILE) && \
	git archive --format=zip -o $(DISTFILE) --prefix=lua-mode/ HEAD

release:
	git fetch && \
	git diff remotes/origin/master --exit-code && \
	git tag -a -m "Release tag" rel-$(VERSION) && \
	woger lua-l lua-mode lua-mode "release $(VERSION)" "Emacs major mode for editing Lua files" release-notes-$(VERSION) http://github.com/immerrr/lua-mode/ && \
	git push origin master
	@echo 'Send update to ELPA!'

=== debian/changelog ===
lua-mode (20130419-3) unstable; urgency=low

  * Don't build for emacs21, xemacs21 (Closes: #718826, #718827)

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Aug 2013 16:41:04 +0200

lua-mode (20130419-2) unstable; urgency=low

  * Fixed install file (Closes: #718811)

 -- Hilko Bengen <bengen@debian.org>  Mon, 05 Aug 2013 22:26:40 +0200

lua-mode (20130419-1) unstable; urgency=low

  * Adopted package (Closes: #628938)
  * New upstream version
    - No longer uses last-command-char which has been deprecated since
      Emacs 19.34 (Closes: #705634)
    - Correctly indents/aligns multi-line conditions (Closes: #546467)
    - Correctly highlights multi-line comments (Closes: #602301)
  * Updated watch file
  * Various cleanups
    - Bumped Standards-Version, updated Homepage, stripped
      build-dependencies
    - Simplified debian/rules

 -- Hilko Bengen <bengen@debian.org>  Thu, 01 Aug 2013 18:26:00 +0200

=== debian/control ===
Source: lua-mode
Section: editors
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 7),
Standards-Version: 3.9.4
Homepage: https://github.com/immerrr/lua-mode

Package: lua-mode
Architecture: all
Depends: emacs24 | emacsen, ${misc:Depends}
Enhances: lua50, lua5.1, lua5.2
Description: Emacs mode for editing Lua programs
 This emacs mode provides syntax highlighting and automatic
 indentation for Lua, as well as sending lines/regions/files to a lua
 interpreter.  You will need this if you write Lua programs using
 Emacs.

=== debian/watch ===
version=3
https://github.com/immerrr/lua-mode/releases .*/rel-(.*)\.tar\.gz

## lua-mode 20140514

=== Makefile ===
--- 
+++ 
@@ -6,15 +6,38 @@
 # EMACS value may be overridden
 EMACS?=emacs
 
+EMACS_BATCH=cask exec $(EMACS) --batch -Q
+
+TESTS=
+TESTS += test/test-defun-font-lock.el
+TESTS += test/test-builtin-font-lock.el
+TESTS += test/test-electric-mode.el
+TESTS += test/test-indentation.el
+TESTS += test/test-strings-and-comments.el
+
 default:
 	@echo version is $(VERSION)
 
 compile:
-	$(EMACS) --batch --no-site-file -f batch-byte-compile lua-mode.el
+	$(EMACS_BATCH) -f batch-byte-compile lua-mode.el
 
 dist:
 	rm -f $(DISTFILE) && \
 	git archive --format=zip -o $(DISTFILE) --prefix=lua-mode/ HEAD
+
+.PHONY: test test-compiled test-uncompiled
+# check both regular and compiled versions
+test: test-compiled test-uncompiled
+
+test-compiled: compile
+	$(EMACS_BATCH) -l test/ert.el \
+		-l lua-mode.elc -l test/lua-font-lock-test-helpers.el \
+		$(addprefix -l ,$(TESTS)) -f ert-run-tests-batch-and-exit
+
+test-uncompiled:
+	$(EMACS_BATCH) -l test/ert.el \
+		-l lua-mode.el -l test/lua-font-lock-test-helpers.el \
+		$(addprefix -l ,$(TESTS)) -f ert-run-tests-batch-and-exit
 
 release:
 	git fetch && \

=== debian/changelog ===
lua-mode (20140514-2) unstable; urgency=medium

  * Dropped emacs22 support (Closes: #775389)

 -- Hilko Bengen <bengen@debian.org>  Fri, 16 Jan 2015 10:41:29 +0100

lua-mode (20140514-1) unstable; urgency=medium

  * New upstream version
  * Updated watch file from sepwatch
  * Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Jul 2014 11:59:17 +0200

lua-mode (20130419-4) unstable; urgency=medium

  * Changed auto-mode-alist entry so startup file and lua-mode.el match
    (Closes: #680697)
  * Added patch to make lua-indent-level a safe local-variable (Closes:
    #717431)

 -- Hilko Bengen <bengen@debian.org>  Wed, 04 Jun 2014 20:23:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 7),
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/immerrr/lua-mode
 
 Package: lua-mode

## lua-mode 20151025

=== Makefile ===
# Makefile for lua-mode

VERSION="$(shell sed -nre '/^;; Version:/ { s/^;; Version:[ \t]+//; p }' lua-mode.el)"
DISTFILE = lua-mode-$(VERSION).zip

# EMACS value may be overridden
EMACS?=emacs
EMACS_MAJOR_VERSION=$(shell $(EMACS) -batch -eval '(princ emacs-major-version)')
LUA_MODE_ELC=lua-mode.$(EMACS_MAJOR_VERSION).elc

EMACS_BATCH=cask exec $(EMACS) --batch -Q

default:
	@echo version is $(VERSION)

%.$(EMACS_MAJOR_VERSION).elc: %.elc
	mv $< $@

%.elc: %.el
	$(EMACS_BATCH) -f batch-byte-compile $<

compile: $(LUA_MODE_ELC)

dist:
	rm -f $(DISTFILE) && \
	git archive --format=zip -o $(DISTFILE) --prefix=lua-mode/ HEAD

.PHONY: test-compiled test-uncompiled
# check both regular and compiled versions
test: test-compiled test-uncompiled

test-compiled: $(LUA_MODE_ELC)
	EMACS=$(EMACS) cask exec buttercup -l $(LUA_MODE_ELC)

test-uncompiled:
	EMACS=$(EMACS) cask exec buttercup -l lua-mode.el

release:
	git fetch && \
	git diff remotes/origin/master --exit-code && \
	git tag -a -m "Release tag" rel-$(VERSION) && \
	woger lua-l lua-mode lua-mode "release $(VERSION)" "Emacs major mode for editing Lua files" release-notes-$(VERSION) http://github.com/immerrr/lua-mode/ && \
	git push origin master
	@echo 'Send update to ELPA!'


tryout:
	cask exec $(EMACS) -Q -l init-tryout.el test.lua

=== debian/changelog ===
lua-mode (20151025-1) unstable; urgency=medium

  * New upstream version
  * Modernize package
    - Debhelper 9
    - Bump Standards-Version
    - Add Vcs-* headers
    - Mention lua5.3, luajit
    - Drop patch

 -- Hilko Bengen <bengen@debian.org>  Sun, 01 Nov 2015 18:23:47 +0100

=== debian/control ===
Source: lua-mode
Section: editors
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9),
Standards-Version: 3.9.6
Homepage: https://github.com/immerrr/lua-mode
Vcs-Git: git://anonscm.debian.org/collab-maint/lua-mode.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/lua-mode.git;a=summary

Package: lua-mode
Architecture: all
Depends: emacs24 | emacsen, ${misc:Depends}
Enhances: lua50, lua5.1, lua5.2, lua5.3, luajit,
Description: Emacs mode for editing Lua programs
 This emacs mode provides syntax highlighting and automatic
 indentation for Lua, as well as sending lines/regions/files to a lua
 interpreter.  You will need this if you write Lua programs using
 Emacs.

=== debian/watch ===
version=3
https://github.com/immerrr/lua-mode/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|lua-mode(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## lua-mode 20201010

=== debian/changelog ===
lua-mode (20201010-1) unstable; urgency=medium

  * Team upload.

  [ David Krauser ]
  * Update maintainer email address

  [ Dhavan Vaidya ]
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org

  [ Hilko Bengen ]
  * Add watch file
  * New upstream version 20201010
  * Drop patches
  * Drop transitional package

 -- Hilko Bengen <bengen@debian.org>  Sun, 11 Oct 2020 11:42:32 +0200

lua-mode (20151025-5) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 15:48:32 -0300

lua-mode (20151025-4) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:32:34 -0300

lua-mode (20151025-3) unstable; urgency=medium

  * Change tests to work with buttercup 1.9, thanks to buttercup author
    Jorgen Schäfer for advice (Closes: #877398)

 -- Hilko Bengen <bengen@debian.org>  Thu, 14 Dec 2017 11:23:34 +0100

lua-mode (20151025-2) unstable; urgency=medium

  * Give package to pkg-emacsen-addons
  * Modernize package: elpa, copyright, Standards-Version, Debhelper
    compat level

 -- Hilko Bengen <bengen@debian.org>  Wed, 02 Aug 2017 23:46:10 +0200

## lua-mode 20210802

=== debian/changelog ===
lua-mode (20210802-3) unstable; urgency=medium

  * Replace previous patch; add lexical-binding:t to tests

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Oct 2022 16:16:31 +0200

lua-mode (20210802-2) unstable; urgency=medium

  * Rewrite some tests to fix FTBFS (Closes: #1022352)

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Oct 2022 16:51:56 +0200

lua-mode (20210802-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 20210802

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 02:17:55 +0100

=== debian/control ===
Source: lua-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa,
 elpa-buttercup (>= 1.9),
 lua5.3,
Standards-Version: 4.0.0
Homepage: http://immerrr.github.com/lua-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/lua-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/lua-mode.git

Package: elpa-lua-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
Built-Using: ${misc:Built-Using}
Replaces: lua-mode (<< 20151025-2~)
Breaks: lua-mode (<< 20151025-2~)
Description: Emacs major-mode for editing Lua programs
 This Emacs mode provides syntax highlighting and automatic
 indentation for Lua, as well as running an interactive shell,
 interacting with `hs-minor-mode' and online documentation lookup.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lua-mode-$1.tar.gz%" \
   https://github.com/immerrr/lua-mode/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lua-mode 20221027+git20231023.d074e41

=== debian/changelog ===
lua-mode (20221027+git20231023.d074e41-3) unstable; urgency=medium

  * d/control: add "Testsuite: autopkgtest-pkg-elpa" for faster migration
  * d/control: update section to editors

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 03 Mar 2025 23:15:29 -0800

lua-mode (20221027+git20231023.d074e41-2) unstable; urgency=medium

  * Add Salsa CI configuration
  * Add patches to disable failing tests for Emacs 30.1 (Closes: #1099249)

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 01 Mar 2025 17:38:23 -0800

lua-mode (20221027+git20231023.d074e41-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (d074e41)
  * Drop the patch applied upstream and reorder the remaining patch
  * Update upstream license to GPL-3+ following upstream change
  * Add a missing upstream copyright holder

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 16 Sep 2024 20:23:52 -0700

lua-mode (20210802-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:35:08 +0900

lua-mode (20210802-4) unstable; urgency=medium

  [ Xiyue Deng ]
  * Mark lexical binding patch as Forwarded and Applied-Upstream
  * Add patch to use eval in lexical scope to fix tests (Closes: #1069073)
  * Keep test/*.el in d/elpa-test to make autopkgtest work
  * Add Upstream-Contact in d/copyright
  * Update homepage to github page in d/control (old link no longer works)
  * Set Rules-Requires-Root to no in d/control
  * Drop Built-Using from binary package in d/control as it was not needed
    for license or DFSG purpose
  * Trim trailing whitespace in d/changelog
  * Bump debhelper from old 10 to 13
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Update Standards-Version to 4.7.0; no change needed
  * Modernize d/watch with substitute strings to be more robust
  * Add myself to uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Apr 2024 07:28:11 +0100

=== debian/control ===
Source: lua-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-buttercup,
 lua5.3,
Standards-Version: 4.7.0
Homepage: https://github.com/immerrr/lua-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/lua-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/lua-mode.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa

Package: elpa-lua-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
Description: Emacs major-mode for editing Lua programs
 This Emacs mode provides syntax highlighting and automatic
 indentation for Lua, as well as running an interactive shell,
 interacting with `hs-minor-mode' and online documentation lookup.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
   https://github.com/immerrr/lua-mode/tags \
   (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## lua-mode 20250310~git.2f6b8d7

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 EMACS_MAJOR_VERSION=$(shell $(EMACS) -batch -eval '(princ emacs-major-version)')
 LUA_MODE_ELC=lua-mode.$(EMACS_MAJOR_VERSION).elc
 
-EMACS_BATCH=cask exec $(EMACS) --batch -Q
+EMACS_BATCH=$(EMACS) --batch -Q
 
 default:
 	@echo version is $(VERSION)
@@ -25,15 +25,29 @@
 	rm -f $(DISTFILE) && \
 	git archive --format=zip -o $(DISTFILE) --prefix=lua-mode/ HEAD
 
-.PHONY: test-compiled test-uncompiled
+.PHONY: test-compiled-nocask test-uncompiled-nocask test-compiled test-uncompiled
 # check both regular and compiled versions
+test-nocask: test-compiled-nocask test-uncompiled-nocask
+
 test: test-compiled test-uncompiled
+
+test-compiled-nocask: $(LUA_MODE_ELC)
+	$(EMACS) -batch -l $(LUA_MODE_ELC) -l buttercup -f buttercup-run-discover
+
+test-uncompiled-nocask:
+	$(EMACS) -batch -l lua-mode.el -l buttercup -f buttercup-run-discover
 
 test-compiled: $(LUA_MODE_ELC)
 	EMACS=$(EMACS) cask exec buttercup -l $(LUA_MODE_ELC)
 
 test-uncompiled:
 	EMACS=$(EMACS) cask exec buttercup -l lua-mode.el
+
+tryout:
+	cask exec $(EMACS) -Q -l init-tryout.el test.lua
+
+tryout-nocask:
+	$(EMACS) -Q -l init-tryout.el test.lua
 
 release:
 	git fetch && \
@@ -42,7 +56,3 @@
 	woger lua-l lua-mode lua-mode "release $(VERSION)" "Emacs major mode for editing Lua files" release-notes-$(VERSION) http://github.com/immerrr/lua-mode/ && \
 	git push origin master
 	@echo 'Send update to ELPA!'
-
-
-tryout:
-	cask exec $(EMACS) -Q -l init-tryout.el test.lua

=== debian/changelog ===
lua-mode (20250310~git.2f6b8d7-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (2f6b8d7)
  * Update d/watch to track snapshots
    - There are fixes for newer Emacs versions without new tags.
  * Update Build-Depends to use lua5.4 in d/control
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 23 Apr 2025 11:29:56 -0700

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  elpa-buttercup,
- lua5.3,
-Standards-Version: 4.7.0
+ lua5.4,
+Standards-Version: 4.7.2
 Homepage: https://github.com/immerrr/lua-mode
 Vcs-Browser: https://salsa.debian.org/emacsen-team/lua-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/lua-mode.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd~git.%h" \
   https://github.com/immerrr/lua-mode \
   HEAD debian uupdate
